# Beverly Baldwin's gringo salsa

## Ingredients

- 1 # 10 can whole tomatoes
- 4x 4oz cans diced green chilies
- 4 yellow jalapeño peppers
- 1 bunch cilantro
- 2 bunched green onions
- 1 T granulated garlic
- 1 T salt

## Directions

- Remove core and seeds from tomatoes, crush through fingers. Add to large (large) bowl.
- Cut up jalapeños, green onions. Use as much of the stem as possible. Add to bowl.
- Remove leaves from cilantro. The stem is bitter and doesn't really work here. Okay to use a little, but take some time here. Rinse and dry, then add to bowl.
- Add everything else.
- Season with more of any individual ingredient that seems to be lacking.
